## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate tree-sitter
# The bindings version does not match the C library version.
%global ts_ver  0.20.8

Name:           rust-tree-sitter
Version:        0.20.10
Release:        %autorelease
Summary:        Rust bindings to the Tree-sitter parsing library

# Upstream license specification: MIT
# The rest comes from bundled ICU4C sources
License:        MIT AND Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://crates.io/crates/tree-sitter
Source0:        %{crates_source}
# Upstream license file - tree-sitter/tree-sitter#1520
Source1:        https://github.com/tree-sitter/tree-sitter/raw/v%{ts_ver}/LICENSE#/LICENSE.upstream
# Manually created patch for downstream crate metadata changes
# * Fixup license for bundled ICU
Patch:          tree-sitter-fix-metadata.diff
# tree-sitter/tree-sitter#1524 modified to apply to the crate source
Patch:          binding_rust-regenerate-bindings-during-build.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings to the Tree-sitter parsing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
# The create contains a bundled copy of the tree-sitter C library.
# MIT
Provides:       bundled(tree-sitter) = %{ts_ver}
# The tree-sitter C library contains a small subset of files from the ICU library
# Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
Provides:       bundled(icu) = 65.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/unicode/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop pre-generated bindings; we don't want to accidentally use these
rm -f binding_rust/bindings.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
# prepare upstream license file for %%license
install -D -m 0644 -pv %{SOURCE1} %{buildroot}%{crate_instdir}/LICENSE

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.10-1
- Update to 0.20.10 (#2184711)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 05 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.9-1
- Update to 0.20.9 (#2100278)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 01 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.6-1
- Update to 0.20.6

* Wed Mar 23 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.2-2
- Add patch to address test failures on s390x

* Fri Feb 25 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.2-1
- Initial import (#2028895)
## END: Generated by rpmautospec
